package org.sap.customerService;

import java.util.Properties;

public class BankSalesPerson
{

    Properties properties = null;
    // Declare details of all sales person
    private String bankPersonId;
    private String bankPersonName;
    private String department;
    private long mobileNumber;

    public BankSalesPerson(Properties prop)
    {
        this.properties = prop;
        this.setId(prop.getProperty("BankSalesPerson." + "id"));
        this.setName(prop.getProperty("BankSalesPerson." + "name"));
        this.setDepartment(prop.getProperty("BankSalesPerson." + "department"));
        this.setMobileNumber(Long.parseLong(prop.getProperty("BankSalesPerson." + "mobileNumber")));
    }

    public BankSalesPerson()
    {

    }

    public String getId()
    {
        return bankPersonId;
    }

    public void setId(String id)
    {
        this.bankPersonId = id;
    }

    public String getName()
    {
        return bankPersonName;
    }

    public void setName(String name)
    {
        this.bankPersonName = name;
    }

    public String getDepartment()
    {
        return department;
    }

    public void setDepartment(String department)
    {
        this.department = department;
    }

    public long getMobileNumber()
    {
        return mobileNumber;
    }

    public void setMobileNumber(long mobileNumber)
    {
        this.mobileNumber = mobileNumber;
    }

    @Override
    public String toString()
    {
        return "BankSalesPerson [id=" + bankPersonId + ", name=" + bankPersonName + ", department=" + department + ", mobileNumber="
               + mobileNumber + "]";
    }


}