package org.sap.customerService;

import java.util.Properties;

public class CustomerDetail
{

    Properties properties;
    private String customerName;
    private String customerId;
    private long mobileNumber;

    public CustomerDetail(Properties prop)
    {
        this.properties = prop;
        this.setId(properties.getProperty("CustomerDetail." + "id"));
        this.setName(properties.getProperty("CustomerDetail." + "name"));
        this.setMobileNumber(Long.parseLong(properties.getProperty("CustomerDetail." + "mobileNumber")));
    }

    public CustomerDetail()
    {
    }

    public String getName()
    {
        return customerName;
    }

    public void setName(String name)
    {
        this.customerName = name;
    }

    public String getId()
    {
        return customerId;
    }

    public void setId(String id)
    {
        this.customerId = id;
    }

    public long getMobileNumber()
    {
        return mobileNumber;
    }

    public void setMobileNumber(long mobileNumber)
    {
        this.mobileNumber = mobileNumber;
    }

    @Override
    public String toString()
    {
        return "CustomerDetail [name=" + customerName + ", id=" + customerId + ", mobileNumber=" + mobileNumber + "]";
    }


}